### Method

# Ide Triplet get_full_name

#### Declaration

    const gchar*
    ide_triplet_get_full_name (
      IdeTriplet* self
    )

#### Description

Gets the full name of the machine configuration name (can be an architecture name, a duet, a triplet or a quadruplet).

Available since: | 3.32

#### Return value

Returns: | `const gchar*`
| The full name of the machine configuration name.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.